package com.fjhx.account.service.account.impl;

import com.fjhx.account.entity.account.po.AccountRequestFundsDetail;
import com.fjhx.account.mapper.account.AccountRequestFundsDetailMapper;
import com.fjhx.account.service.account.AccountRequestFundsDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountRequestFundsDetailVo;
import com.fjhx.account.entity.account.dto.AccountRequestFundsDetailSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.account.entity.account.dto.AccountRequestFundsDetailDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
@Service
public class AccountRequestFundsDetailServiceImpl extends ServiceImpl<AccountRequestFundsDetailMapper, AccountRequestFundsDetail> implements AccountRequestFundsDetailService {

    @Override
    public Page<AccountRequestFundsDetailVo> getPage(AccountRequestFundsDetailSelectDto dto) {
        IWrapper<AccountRequestFundsDetail> wrapper = getWrapper();
        wrapper.orderByDesc("arfd", AccountRequestFundsDetail::getId);
        Page<AccountRequestFundsDetailVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public AccountRequestFundsDetailVo detail(Long id) {
        AccountRequestFundsDetail AccountRequestFundsDetail = this.getById(id);
        AccountRequestFundsDetailVo result = BeanUtil.toBean(AccountRequestFundsDetail, AccountRequestFundsDetailVo.class);
        return result;
    }

    @Override
    public void add(AccountRequestFundsDetailDto accountRequestFundsDetailDto) {
        this.save(accountRequestFundsDetailDto);
    }

    @Override
    public void edit(AccountRequestFundsDetailDto accountRequestFundsDetailDto) {
        this.updateById(accountRequestFundsDetailDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
