package com.fjhx.common.entity.contract.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 合同模板
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
@TableName("contract_template")
public class ContractTemplate extends BasePo {

    /**
     * 模板名称
     */
    @NotBlank(message = "模板名称不能为空")
    private String templateName;

    /**
     * 公司id
     */
    @NotNull(message = "公司id不能为空")
    private Long corporationId;

    /**
     * 联系人名称
     */
    @NotBlank(message = "联系人名称不能为空")
    private String contactName;

    /**
     * 联系人电话
     */
    @NotBlank(message = "联系人电话不能为空")
    private String contactNumber;

    /**
     * 公司电话
     */
    @NotBlank(message = "公司电话不能为空")
    private String corporationNumber;

    /**
     * 国家表id
     */
    @NotBlank(message = "国家id不能为空")
    private String countryId;

    /**
     * 省份id
     */
    @NotBlank(message = "省份id不能为空")
    private String provinceId;

    /**
     * 城市id
     */
    @NotBlank(message = "城市id不能为空")
    private String cityId;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 国家表英文字符串
     */
    @NotBlank(message = "国家英文名称不能为空")
    private String countryEnStr;

    /**
     * 省份英文字符串
     */
    @NotBlank(message = "省份英文名称不能为空")
    private String provinceEnStr;

    /**
     * 城市英文字符串
     */
    @NotBlank(message = "城市英文名称不能为空")
    private String cityEnStr;

    /**
     * 详细地址英文
     */
    private String addressEn;

    /**
     * 模板内容
     */
    private String templateContent;

}
