package com.fjhx.common.entity.corporation.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 多公司配置
 * </p>
 *
 * @author 
 * @since 2023-04-10
 */
@Getter
@Setter
@TableName("corporation")
public class Corporation extends BasePo {

    /**
     * 公司名称
     */
    private String name;

    /**
     * 公司英文名称
     */
    private String nameEn;

    /**
     * 企业类型
     */
    private Integer type;

    /**
     * 统一信用代码
     */
    private String uscCode;

    /**
     * 法定代表人
     */
    private String legalPersonName;

    /**
     * 注册资本
     */
    private String registeredCapital;

    /**
     * 营业开始日期
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    private Date startDate;

    /**
     * 营业结束日期
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    private Date stopDate;

    /**
     * 纳税人资质
     */
    private Integer taxpayerQualification;

    /**
     * 进出口企业代码
     */
    private String iaeeCode;

}
