package com.fjhx.common.enums;

import com.fjhx.common.entity.coding.dto.DefaultRule;
import com.fjhx.common.entity.coding.dto.RuleVo;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@Getter
@AllArgsConstructor
public enum CodingRuleEnum {

    test("test", "aaa", Arrays.asList(
            getDefaultRule(RuleTypeEnum.CUSTOMIZE, "TEST"),
            getDefaultRule(RuleTypeEnum.DATE_FORMAT, "yyyyMM"),
            getDefaultRule(RuleTypeEnum.COUNTRY_CODE),
            getDefaultRule(RuleTypeEnum.CUSTOMER_CODE),
            getDefaultRule(RuleTypeEnum.AUTOINCREMENT, 5)
    )),


    ;

    /**
     * 编码规则key
     */
    private final String key;

    /**
     * 功能名称
     */
    private final String name;

    /**
     * 默认规则
     */
    private final List<DefaultRule> defaultRule;

    private static DefaultRule getDefaultRule(RuleTypeEnum ruleTypeEnum) {
        return new DefaultRule(ruleTypeEnum);
    }

    private static DefaultRule getDefaultRule(RuleTypeEnum ruleTypeEnum, Object value) {
        return new DefaultRule(ruleTypeEnum, value);
    }

    public List<RuleVo> getDefaultRuleVoList() {
        return defaultRule.stream().map(item -> {
            RuleVo ruleVo = new RuleVo();
            ruleVo.setRuleType(item.getRuleTypeEnum().getType());
            ruleVo.setValue(item.getValue());
            return ruleVo;
        }).collect(Collectors.toList());
    }

}
