package com.fjhx.common.service.corporation.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.common.constant.SourceConstant;
import com.fjhx.common.entity.corporation.po.Corporation;
import com.fjhx.common.mapper.corporation.CorporationMapper;
import com.fjhx.common.service.corporation.CorporationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.corporation.vo.CorporationVo;
import com.fjhx.common.entity.corporation.dto.CorporationSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.common.entity.corporation.dto.CorporationDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 多公司配置 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-10
 */
@DS(SourceConstant.COMMON)
@Service
public class CorporationServiceImpl extends ServiceImpl<CorporationMapper, Corporation> implements CorporationService {

    @Override
    public Page<CorporationVo> getPage(CorporationSelectDto dto) {
        IWrapper<Corporation> wrapper = getWrapper();
        wrapper.orderByDesc("c", Corporation::getId);
        if(ObjectUtil.isNotEmpty(dto.getKeyword())){
            wrapper.and(q->q.like(Corporation::getName,dto.getKeyword())
                    .or().like(Corporation::getLegalPersonName,dto.getKeyword())
                    .or().like(Corporation::getNameEn,dto.getKeyword()));
        }
        Page<CorporationVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public CorporationVo detail(Long id) {
        Corporation Corporation = this.getById(id);
        CorporationVo result = BeanUtil.toBean(Corporation, CorporationVo.class);
        return result;
    }

    @Override
    public void add(CorporationDto corporationDto) {
        this.save(corporationDto);
    }

    @Override
    public void edit(CorporationDto corporationDto) {
        this.updateById(corporationDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
