package com.fjhx.mail.controller.enterprise;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.common.constant.SourceConstant;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.enterprise.vo.EnterpriseMailboxVo;
import com.fjhx.mail.entity.enterprise.dto.EnterpriseMailboxSelectDto;
import com.fjhx.mail.entity.enterprise.dto.EnterpriseMailboxDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.mail.service.enterprise.EnterpriseMailboxService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 企业邮箱 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@DS(SourceConstant.MAIL)
@RestController
@RequestMapping("/enterpriseMailbox")
public class EnterpriseMailboxController {

    @Autowired
    private EnterpriseMailboxService enterpriseMailboxService;

    /**
     * 企业邮箱分页
     */
    @PostMapping("/page")
    public Page<EnterpriseMailboxVo> page(@RequestBody EnterpriseMailboxSelectDto dto) {
        return enterpriseMailboxService.getPage(dto);
    }

    /**
     * 企业邮箱明细
     */
    @PostMapping("/detail")
    public EnterpriseMailboxVo detail(@RequestBody BaseSelectDto dto) {
        return enterpriseMailboxService.detail(dto.getId());
    }

    /**
     * 企业邮箱新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody EnterpriseMailboxDto enterpriseMailboxDto) {
        enterpriseMailboxService.add(enterpriseMailboxDto);
    }

    /**
     * 企业邮箱编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody EnterpriseMailboxDto enterpriseMailboxDto) {
        enterpriseMailboxService.edit(enterpriseMailboxDto);
    }

    /**
     * 企业邮箱删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        enterpriseMailboxService.delete(dto.getId());
    }

}
