package com.fjhx.mail.entity.enterprise.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 企业邮箱
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("enterprise_mailbox")
public class EnterpriseMailbox extends BasePo {

    /**
     * 企业邮箱域名id
     */
    @NotNull(message = "企业邮箱域名id不能为空")
    private Long domainId;

    /**
     * mail账号前缀
     */
    @NotBlank(message = "邮箱地址不能为空")
    private String mailUserPrefix;

    /**
     * mail授权码
     */
    @NotBlank(message = "授权码不能为空")
    private String mailPassword;

    /**
     * 状态：1启用 0禁用
     */
    private Integer status;

    /**
     * 同步邮件状态: 1同步 0不同步
     */
    private Integer syncStatus;

    /**
     * 默认邮箱: 1默认 0非默认
     */
    private Integer defaultStatus;

    /**
     * 用户id
     */
    @NotNull(message = "绑定用户id不能为空")
    private Long userId;

}
