package com.fjhx.purchase.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 申购单
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("purchase_detail")
public class PurchaseDetail extends BasePo {

    /**
     * 业务来源 0自建  1外销合同采购
     */
    private Integer dataResource;

    /**
     * 业务来源ID
     */
    private Long dataResourceId;

    /**
     * 关联ID  产品ID/货品ID
     */
    private Long bussinessId;

    /**
     * 申购明细ID
     */
    private Long subscribeDetailId;

    /**
     * 采购单ID
     */
    private Long purchaseId;

    /**
     * 采购数量
     */
    private BigDecimal count;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 总价
     */
    private BigDecimal amount;

    /**
     * 采购事由
     */
    private String content;

    /**
     * 状态 10、审批中 15：待采购 20、已采购  30、部分采购  40、已采购  99 作废
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 货品类型
     */
    @TableField(exist = false)
    private Integer productType;

    /**
     * 所属分类
     */
    @TableField(exist = false)
    private String productCategory;

    /**
     * 货品编码
     */
    @TableField(exist = false)
    private String productCode;

    /**
     * 货品名称
     */
    @TableField(exist = false)
    private String productName;

    /**
     * 单位
     */
    @TableField(exist = false)
    private String productUnit;

    /**
     * 货品规格型号
     */
    @TableField(exist = false)
    private String productSpec;

    /**
     * 到货总量
     */
    @TableField(exist = false)
    private BigDecimal sumArrivalCount;

}
