package com.fjhx.purchase.service.purchase;

import com.fjhx.purchase.entity.purchase.po.Purchase;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.purchase.vo.PurchaseVo;
import com.fjhx.purchase.entity.purchase.dto.PurchaseSelectDto;
import com.fjhx.purchase.entity.purchase.dto.PurchaseDto;

import java.util.List;


/**
 * <p>
 * 采购 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface PurchaseService extends BaseService<Purchase> {

    /**
     * 采购分页
     */
    Page<PurchaseVo> getPage(PurchaseSelectDto dto);

    /**
     * 采购明细
     */
    PurchaseVo detail(Long id);

    /**
     * 采购新增
     */
    void add(Purchase purchase);

    /**
     * 采购编辑
     */
    void edit(PurchaseDto purchaseDto);

    /**
     * 采购删除
     */
    void delete(Long id);

    /**
     * 根据供应商查询采购合同
     * @param supplyId
     * @return
     */
    List<Purchase> getListBySupplyId(String supplyId);
}
