package com.fjhx.sale.controller.claim;

import com.fjhx.sale.entity.claim.po.Claim;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.claim.vo.ClaimVo;
import com.fjhx.sale.entity.claim.dto.ClaimSelectDto;
import com.fjhx.sale.entity.claim.dto.ClaimDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.sale.service.claim.ClaimService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 到账认领 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@RestController
@RequestMapping("/claim")
public class ClaimController {

    @Autowired
    private ClaimService claimService;

    /**
     * 到账认领分页
     */
    @PostMapping("/page")
    public Page<ClaimVo> page(@RequestBody ClaimSelectDto dto) {
        return claimService.getPage(dto);
    }

    /**
     * 到账认领明细
     */
    @PostMapping("/detail")
    public ClaimVo detail(@RequestBody BaseSelectDto dto) {
        return claimService.detail(dto.getId());
    }

    /**
     * 到账认领新增
     */
    @PostMapping("/add")
    public void add(@RequestBody Claim claim) {
        claimService.add(claim);
    }

    /**
     * 到账认领编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ClaimDto claimDto) {
        claimService.edit(claimDto);
    }

    /**
     * 到账认领删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        claimService.delete(dto.getId());
    }

}
