package com.fjhx.sale.controller.sale;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.sale.vo.SaleQuotationVo;
import com.fjhx.sale.entity.sale.dto.SaleQuotationSelectDto;
import com.fjhx.sale.entity.sale.dto.SaleQuotationDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.sale.service.sale.SaleQuotationService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 报价表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
@RestController
@RequestMapping("/saleQuotation")
public class SaleQuotationController {

    @Autowired
    private SaleQuotationService saleQuotationService;

    /**
     * 报价表分页
     */
    @PostMapping("/page")
    public Page<SaleQuotationVo> page(@RequestBody SaleQuotationSelectDto dto) {
        return saleQuotationService.getPage(dto);
    }

    /**
     * 报价表明细
     */
    @PostMapping("/detail")
    public SaleQuotationVo detail(@RequestBody BaseSelectDto dto) {
        return saleQuotationService.detail(dto.getId());
    }

    /**
     * 报价单的复制功能
     */
    @PostMapping("/copy")
    public void copy(SaleQuotationDto saleQuotationDto){
        saleQuotationService.copy(saleQuotationDto);
    }

}
