package com.fjhx.sale.entity.claim.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.file.entity.FileInfo;
import com.fjhx.file.entity.ObsFile;
import com.ruoyi.common.core.domain.BasePo;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 到账认领
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("claim")
public class Claim extends BasePo {

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 账户ID
     */
    private Long accountManagementId;

    /**
     * 币种（字典account_currency）
     */
    private String currency;

    /**
     * 业务ID
     */
    private Long businessId;

    /**
     * 认领人ID
     */
    private Long claimUserId;

    /**
     * 认领人名称
     */
    private String claimUserName;

    /**
     * 认领时间
     */
    private Date claimTime;

    /**
     * 到账认领合同列表
     */
    @TableField(exist = false)
    private List<ClaimContract> claimContractList;

    /**
     * 附件列表
     */
    @TableField(exist = false)
    private List<ObsFile> fileList;
}
