package com.fjhx.sale.entity.contract.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fjhx.file.entity.ObsFile;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 外销合同-产品
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
@TableName("contract_product")
public class ContractProduct extends BasePo {

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品型号
     */
    private String productModel;

    /**
     * 商品数量
     */
    private BigDecimal quantity;

    /**
     * 商品单价
     */
    private BigDecimal price;

    /**
     * 商品金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 消耗剩余数量
     */
    private BigDecimal expendQuantity;

    /**
     * 附件列表
     */
    @TableField(exist = false)
    private List<ObsFile> fileList;
}
