package com.fjhx.sale.entity.documents.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 单证-产品表
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
@TableName("documents_product")
public class DocumentsProduct extends BasePo {

    /**
     * 装箱明细产品id或者自定义装箱货物id
     */
    private Long businessId;

    /**
     * 单证表ID
     */
    private Long documentsId;

    /**
     * 货物描述
     */
    private String describe;

    /**
     * 货物副描述
     */
    private String subDescribe;

    /**
     * 海关编码
     */
    private String customsCode;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 数量
     */
    private BigDecimal quantity;

}
