package com.fjhx.sale.entity.quotation.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 商品-报价单关联表
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
@TableName("quotation_product")
public class QuotationProduct extends BasePo {

    /**
     * 报价表ID
     */
    private Long saleQuotationId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品型号
     */
    private String productModel;

    /**
     * 商品数量
     */
    private BigDecimal quantity;

    /**
     * 商品单价
     */
    private BigDecimal price;

    /**
     * 商品金额
     */
    private BigDecimal amount;

    /**
     * 付款条件
     */
    private String remark;

}
