package com.fjhx.victoriatourist.entity.after.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 售后管理
 * </p>
 *
 * @author
 * @since 2023-04-19
 */
@Getter
@Setter
@TableName("after_sale_record")
public class AfterSaleRecord extends BasePo {

    /**
     * 售后类型
     */
    @NotNull(message = "售后类型不能为空")
    private Integer type;

    /**
     * 客户id
     */
    @NotNull(message = "客户id不能为空")
    private Long customerId;

    /**
     * 国家
     */
    @NotNull(message = "国家id不能为空")
    private String countryId;

    /**
     * 省
     */
    @NotNull(message = "省id不能为空")
    private String provinceId;

    /**
     * 市
     */
    @NotNull(message = "市id不能为空")
    private String cityId;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 售后原因
     */
    @NotBlank(message = "售后原因不能为空")
    private String cause;

    /**
     * 售后状态
     */
    @NotNull(message = "售后状态不能为空")
    private Integer status;

}
