package com.fjhx.victoriatourist.entity.jd.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 京东订单
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
@TableName("jd_order")
public class JdOrder extends BasePo {

    /**
     * 订单编号
     */
    @NotNull(message = "客户名称不能为空")
    private String code;

    /**
     * 客户id
     */
    @NotNull(message = "客户id不能为空")
    private Long customerId;

    /**
     * 配送中心
     */
    @NotBlank(message = "配送中心不能为空")
    private String distributionCenter;

    /**
     * 国家
     */
    @NotBlank(message = "国家id不能为空")
    private String countryId;

    /**
     * 省
     */
    @NotBlank(message = "省id不能为空")
    private String provinceId;

    /**
     * 市
     */
    @NotBlank(message = "市id不能为空")
    private String cityId;

    /**
     * 详细地址
     */
    @NotBlank(message = "详细地址不能为控股")
    private String detailedAddress;

    /**
     * 收件人
     */
    @NotBlank(message = "收件人不能为空")
    private String contactPerson;

    /**
     * 联系电话
     */
    @NotBlank(message = "联系电话不能为空")
    private String contactNumber;

    /**
     * 订单金额
     */
    private BigDecimal amount;

    /**
     * 状态 1未出库 2部分出库 3已出库
     */
    private Integer status;

    /**
     * 出库总数量
     */
    private BigDecimal quantityDelivered;

    /**
     * 导入批次标记
     */
    private Long batchFlag;

}
