package com.fjhx.victoriatourist.entity.order.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 订单
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
@TableName("order_info")
public class OrderInfo extends BasePo {

    /**
     * 订单类型（1线上 2线下 3京东订单 4补偿 5补发 6线下退换货 7采购退货）
     */
    private Integer type;

    /**
     * 客户id
     */
    private Long customerInfoId;

    /**
     * 编号
     */
    private String code;

    /**
     * 订单金额
     */
    private BigDecimal amountMoney;

    /**
     * 下单时间
     */
    private Date orderTime;

    /**
     * 订单状态 1进行中 2已完成 3已取消
     */
    private Integer status;

    /**
     * 出库状态 1未出库 2进行中 3已出库
     */
    private Integer issueStatus;

    /**
     * 售后状态 1跟进中(补发中、未补发未收到退货) 2已补发 3未补发收到退货 4已补发收到退货 5已补发未收到退货 6结束
     */
    private Integer afterSalesStatus;

    /**
     * 国家
     */
    private String countryId;

    /**
     * 省
     */
    private String provinceId;

    /**
     * 市
     */
    private String cityId;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 联系电话前缀类型
     */
    private Integer phonePrefixType;

    /**
     * 导入excel关联id
     */
    private Long excelImportId;

    /**
     * 配送中心
     */
    private String distributionCenter;

    /**
     * 京东仓库
     */
    private String jdWarehouse;

    /**
     * 备注
     */
    private String remark;

}
