package com.fjhx.victoriatourist.service.jd.impl;

import com.fjhx.item.service.product.ProductInfoService;
import com.fjhx.victoriatourist.entity.jd.po.JdBackQualityWait;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackQualityDetailsVo;
import com.fjhx.victoriatourist.mapper.jd.JdBackQualityWaitMapper;
import com.fjhx.victoriatourist.service.jd.JdBackQualityWaitService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackQualityWaitVo;
import com.fjhx.victoriatourist.entity.jd.dto.JdBackQualityWaitSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;


/**
 * <p>
 * 京东退货待质检 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
@Service
public class JdBackQualityWaitServiceImpl extends ServiceImpl<JdBackQualityWaitMapper, JdBackQualityWait> implements JdBackQualityWaitService {
    @Autowired
    private ProductInfoService productInfoService;

    @Override
    public Page<JdBackQualityWaitVo> getPage(JdBackQualityWaitSelectDto dto) {
        IWrapper<JdBackQualityWait> wrapper = getWrapper();
        wrapper.orderByDesc("jbqw", JdBackQualityWait::getId);
        Page<JdBackQualityWaitVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        //赋值产品信息
        productInfoService.attributeAssign(page.getRecords(), JdBackQualityWaitVo::getProductId, (item, productinfo) -> {
            item.setProductType(productinfo.getType());
            item.setProductCode(productinfo.getCode());
            item.setProductName(productinfo.getName());
            item.setProductSpec(productinfo.getSpec());
            item.setProductUnit(productinfo.getUnit());
        });
        return page;
    }

}
