package com.fjhx.victoriatourist.service.stock.impl;

import com.fjhx.victoriatourist.entity.stock.po.StockTransferDetails;
import com.fjhx.victoriatourist.mapper.stock.StockTransferDetailsMapper;
import com.fjhx.victoriatourist.service.stock.StockTransferDetailsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.stock.vo.StockTransferDetailsVo;
import com.fjhx.victoriatourist.entity.stock.dto.StockTransferDetailsSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.victoriatourist.entity.stock.dto.StockTransferDetailsDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 调仓明细 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
@Service
public class StockTransferDetailsServiceImpl extends ServiceImpl<StockTransferDetailsMapper, StockTransferDetails> implements StockTransferDetailsService {

    @Override
    public Page<StockTransferDetailsVo> getPage(StockTransferDetailsSelectDto dto) {
        IWrapper<StockTransferDetails> wrapper = getWrapper();
        wrapper.orderByDesc("std", StockTransferDetails::getId);
        Page<StockTransferDetailsVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public StockTransferDetailsVo detail(Long id) {
        StockTransferDetails StockTransferDetails = this.getById(id);
        StockTransferDetailsVo result = BeanUtil.toBean(StockTransferDetails, StockTransferDetailsVo.class);
        return result;
    }

    @Override
    public void add(StockTransferDetailsDto stockTransferDetailsDto) {
        this.save(stockTransferDetailsDto);
    }

    @Override
    public void edit(StockTransferDetailsDto stockTransferDetailsDto) {
        this.updateById(stockTransferDetailsDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
