package com.fjhx.wms.service.stock.impl;

import com.fjhx.wms.entity.stock.po.StockWaitDetails;
import com.fjhx.wms.mapper.stock.StockWaitDetailsMapper;
import com.fjhx.wms.service.stock.StockWaitDetailsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockWaitDetailsVo;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 待出入库明细 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@Service
public class StockWaitDetailsServiceImpl extends ServiceImpl<StockWaitDetailsMapper, StockWaitDetails> implements StockWaitDetailsService {

    @Override
    public Page<StockWaitDetailsVo> getPage(StockWaitDetailsSelectDto dto) {
        IWrapper<StockWaitDetails> wrapper = getWrapper();
        wrapper.orderByDesc("swd", StockWaitDetails::getId);
        Page<StockWaitDetailsVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public StockWaitDetailsVo detail(Long id) {
        StockWaitDetails StockWaitDetails = this.getById(id);
        StockWaitDetailsVo result = BeanUtil.toBean(StockWaitDetails, StockWaitDetailsVo.class);
        return result;
    }

    @Override
    public void add(StockWaitDetailsDto stockWaitDetailsDto) {
        this.save(stockWaitDetailsDto);
    }

    @Override
    public void edit(StockWaitDetailsDto stockWaitDetailsDto) {
        this.updateById(stockWaitDetailsDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
